gtkmm: Atk::StreamableContent Class Reference

# Atk::StreamableContent Class Reference

The ATK interface which provides access to streamable content. More...

Inherits Glib::Interface.

Collaboration diagram for Atk::StreamableContent:
[legend]

List of all members.

## Public Member Functions

virtual | ~StreamableContent ()
AtkStreamableContent* | gobj ()
| Provides access to the underlying C GObject.
const AtkStreamableContent* | gobj () const
| Provides access to the underlying C GObject.
int | get_n_mime_types () const
| Gets the number of mime types supported by this object.
Glib::ustring | get_mime_type (int i) const
| Gets the character string of the specified mime type.
Glib::RefPtr< Glib::IOChannel > | get_stream (const Glib::ustring& mime_type)
| Gets the content in the specified mime type.

## Static Public Member Functions

static void | add_interface (GType gtype_implementer)

## Protected Member Functions

virtual int | get_n_mime_types_vfunc () const
virtual const gchar* | get_mime_type_vfunc (int i) const
virtual GIOChannel* | get_stream_vfunc (const Glib::ustring& mime_type)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr < Atk::StreamableContent > | wrap (AtkStreamableContent* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

The ATK interface which provides access to streamable content.

## Constructor & Destructor Documentation

virtual Atk::StreamableContent::~StreamableContent | ( |  | ) | `[virtual]`

## Member Function Documentation

static void Atk::StreamableContent::add_interface | ( | GType | gtype_implementer | ) | `[static]`

Glib::ustring Atk::StreamableContent::get_mime_type | ( | int | i | ) | const

Gets the character string of the specified mime type.

The first mime type is at position 0, the second at position 1, and so on.

Parameters:

  | i | A `int` representing the position of the mime type starting from 0.

Returns:
  A gchar* representing the specified mime type; the caller should not free the character string.

virtual const gchar* Atk::StreamableContent::get_mime_type_vfunc | ( | int | i | ) | const`[protected, virtual]`

int Atk::StreamableContent::get_n_mime_types | ( |  | ) | const

Gets the number of mime types supported by this object.

Returns:
  A `int` which is the number of mime types supported by the object.

virtual int Atk::StreamableContent::get_n_mime_types_vfunc | ( |  | ) | const`[protected, virtual]`

Glib::RefPtr<Glib::IOChannel> Atk::StreamableContent::get_stream | ( | const Glib::ustring & | mime_type | ) |

Gets the content in the specified mime type.

Parameters:

  | mime_type | A gchar* representing the mime type.

Returns:
  A IOChannel which contains the content in the specified mime type.

virtual GIOChannel* Atk::StreamableContent::get_stream_vfunc | ( | const Glib::ustring & | mime_type | ) | `[protected, virtual]`

const AtkStreamableContent* Atk::StreamableContent::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

AtkStreamableContent* Atk::StreamableContent::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

## Friends And Related Function Documentation

Glib::RefPtr< Atk::StreamableContent > wrap | ( | AtkStreamableContent * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- atkmm/streamablecontent.h